Quantcast

Error with the latest libfuse.git

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Error with the latest libfuse.git

Enke Chen
Hi, Folks:

There is an error in running the test program with the lastest libfuse.git tree:

----------------
[enkechen@localhost example]$ ./ioctl -d /tmp/foo
FUSE library version: 3.0.0rc2
nullpath_ok: 0
fuse: failed to exec fusermount: No such file or directory
----------------

Thanks.  -- Enke

------------------------------------------------------------------------------
--
fuse-devel mailing list
To unsubscribe or subscribe, visit https://lists.sourceforge.net/lists/listinfo/fuse-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error with the latest libfuse.git

Nikolaus Rath
On Nov 14 2016, Enke Chen <[hidden email]> wrote:

> Hi, Folks:
>
> There is an error in running the test program with the lastest libfuse.git tree:
>
> ----------------
> [enkechen@localhost example]$ ./ioctl -d /tmp/foo
> FUSE library version: 3.0.0rc2
> nullpath_ok: 0
> fuse: failed to exec fusermount: No such file or directory
> ----------------

You need to install fuse first. Alternatively, add util/ to $PATH and
make util/fusermount3 setuid root.


Best,
-Nikolaus

--
GPG encrypted emails preferred. Key id: 0xD113FCAC3C4E599F
Fingerprint: ED31 791B 2C5C 1613 AF38 8B8A D113 FCAC 3C4E 599F

             »Time flies like an arrow, fruit flies like a Banana.«

------------------------------------------------------------------------------
--
fuse-devel mailing list
To unsubscribe or subscribe, visit https://lists.sourceforge.net/lists/listinfo/fuse-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error with the latest libfuse.git

Enke Chen
In reply to this post by Enke Chen
Hi, Nikolaus:

This has been working (even in 2.9.7) without doing the things you suggested.
What has changed, and why the changes were made?

Thanks.  -- Enke

On Nov 14 2016, Enke Chen <[hidden email]> wrote:

> Hi, Folks:
>
> There is an error in running the test program with the lastest libfuse.git tree:
>
> ----------------
> [enkechen@localhost example]$ ./ioctl -d /tmp/foo
> FUSE library version: 3.0.0rc2
> nullpath_ok: 0
> fuse: failed to exec fusermount: No such file or directory
> ----------------

You need to install fuse first. Alternatively, add util/ to $PATH and
make util/fusermount3 setuid root.


Best,
-Nikolaus

------------------------------------------------------------------------------
--
fuse-devel mailing list
To unsubscribe or subscribe, visit https://lists.sourceforge.net/lists/listinfo/fuse-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error with the latest libfuse.git

Nikolaus Rath
Hi Enke,

A: Because it confuses the reader.
Q: Why?
A: No.
Q: Should I write my response above the quoted reply?

..so please quote properly, as I'm doing in the rest of this mail:

On Nov 15 2016, Enke Chen <[hidden email]> wrote:

> On Nov 14 2016, Enke Chen <[hidden email]> wrote:
>> There is an error in running the test program with the lastest libfuse.git tree:
>>
>> ----------------
>> [enkechen@localhost example]$ ./ioctl -d /tmp/foo
>> FUSE library version: 3.0.0rc2
>> nullpath_ok: 0
>> fuse: failed to exec fusermount: No such file or directory
>> ----------------
>
> You need to install fuse first. Alternatively, add util/ to $PATH and
> make util/fusermount3 setuid root.
>
> This has been working (even in 2.9.7) without doing the things you suggested.
> What has changed, and why the changes were made?

To allow co-installation of libfuse2 and libfuse3, the fuse3 version of
fusermount is called fusermount3. You presumably have
/usr/bin/fusermount from a previous FUSE 2.x installation, but no
/usr/bin/fusermount3.


Best,
-Nikolaus

--
GPG encrypted emails preferred. Key id: 0xD113FCAC3C4E599F
Fingerprint: ED31 791B 2C5C 1613 AF38 8B8A D113 FCAC 3C4E 599F

             »Time flies like an arrow, fruit flies like a Banana.«

------------------------------------------------------------------------------
--
fuse-devel mailing list
To unsubscribe or subscribe, visit https://lists.sourceforge.net/lists/listinfo/fuse-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error with the latest libfuse.git

Enke Chen
Hi, Nikolaus:

On 11/15/16 2:32 PM, Nikolaus Rath wrote:
> Hi Enke,
>
> A: Because it confuses the reader.
> Q: Why?
> A: No.
> Q: Should I write my response above the quoted reply?
>
> ..so please quote properly, as I'm doing in the rest of this mail:

Apologies - with the "digest" setting I was not receiving individual emails,
and the replies were based on the "cut & paste" from the mailing-list archive.

I have turned off the "digest" mode for the fuse-devel.

>
> On Nov 15 2016, Enke Chen <[hidden email]> wrote:
>> On Nov 14 2016, Enke Chen <[hidden email]> wrote:
>>> There is an error in running the test program with the lastest libfuse.git tree:
>>>
>>> ----------------
>>> [enkechen@localhost example]$ ./ioctl -d /tmp/foo
>>> FUSE library version: 3.0.0rc2
>>> nullpath_ok: 0
>>> fuse: failed to exec fusermount: No such file or directory
>>> ----------------
>>
>> You need to install fuse first. Alternatively, add util/ to $PATH and
>> make util/fusermount3 setuid root.
>>
>> This has been working (even in 2.9.7) without doing the things you suggested.
>> What has changed, and why the changes were made?
>
> To allow co-installation of libfuse2 and libfuse3, the fuse3 version of
> fusermount is called fusermount3. You presumably have
> /usr/bin/fusermount from a previous FUSE 2.x installation, but no
> /usr/bin/fusermount3.

Got it.

Thanks.   -- Enke
 

------------------------------------------------------------------------------
--
fuse-devel mailing list
To unsubscribe or subscribe, visit https://lists.sourceforge.net/lists/listinfo/fuse-devel
Loading...